/*
 * kb4x4_lib.h
 *
 *  Created on: 12.09.2018
 *      Author: Marek
 */
//******************************************************************************
//    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
//    AUTHOR SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
//    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
//    FROM USE OF THIS SOFTWARE.
//
//    PROGRAM ZAWARTY W TYM PLIKU PRZEZNACZONY JEST WYLACZNIE
//    DO CELOW SZKOLENIOWYCH. AUTOR NIE PONOSI ODPOWIEDZIALNOSCI
//    ZA ZADNE EWENTUALNE, BEZPOSREDNIE I POSREDNIE SZKODY
//    WYNIKLE Z JEGO WYKORZYSTANIA.
//******************************************************************************

#ifndef KB4X4_LIB_H_
#define KB4X4_LIB_H_


#define KB4x4_GPIO GPIOE     //Keyboard GPIO port

#define KB4x4_R1 GPIO_PIN_0  //GIPO pins connected to keyboard row lines
#define KB4x4_R2 GPIO_PIN_1
#define KB4x4_R3 GPIO_PIN_2
#define KB4x4_R4 GPIO_PIN_3

#define KB4x4_C1 GPIO_PIN_4  //GIPO pins connected to keyboard column lines
#define KB4x4_C2 GPIO_PIN_5
#define KB4x4_C3 GPIO_PIN_6
#define KB4x4_C4 GPIO_PIN_7


                           //Keys mapping - keys ASCII codes
#define KB4x4_R1C1 0x31 //1
#define KB4x4_R1C2 0x32 //2
#define KB4x4_R1C3 0x33 //3
#define KB4x4_R1C4 0x41 //A

#define KB4x4_R2C1 0x34 //4
#define KB4x4_R2C2 0x35 //5
#define KB4x4_R2C3 0x36 //6
#define KB4x4_R2C4 0x42 //B

#define KB4x4_R3C1 0x37 //7
#define KB4x4_R3C2 0x38 //8
#define KB4x4_R3C3 0x39 //9
#define KB4x4_R3C4 0x43 //C

#define KB4x4_R4C1 0x2A //*
#define KB4x4_R4C2 0x30 //0
#define KB4x4_R4C3 0x23 //#
#define KB4x4_R4C4 0x44 //D

void KB4x4_Config(void);
char KB4x4_ReadKey(void);


#endif /* KB4X4_LIB_H_ */
